package es.uv.garcosda.mongo.repositories;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import es.uv.garcosda.mongo.domain.User;

public interface UserRepository extends MongoRepository<User, Integer> {
	
	List<User> findByFirstname(String firstname);
	
	List<User> findByFirstnameStartingWith(String regexp);
	
	List<User> findByLastname(String lastname);
	
	@Query("{ 'lastname' : { $regex: ?0 } }")
	List<User> findByLastnameStartingWith(String regexp);
	
	List<User> findByEmail(String email);
	
}
