package es.uv.garcosda.mongo.services;

import es.uv.garcosda.mongo.domain.User;
import es.uv.garcosda.mongo.repositories.UserRepository;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserService {

	@Autowired
	UserRepository ur;

	public List<User> findAll() {
		return this.ur.findAll();
	}
	
	public List<User> findByFirstname(String firstname) {
		return this.ur.findByFirstname(firstname);
	}
	
	public List<User> findByFirstnameStartingWith(String firstname) {
		return this.ur.findByFirstnameStartingWith(firstname);
	}
	
	public List<User> findByLastname(String lastname) {
		return this.ur.findByLastname(lastname);
	}
	
	public List<User> findByLastnameStartingWith(String lastname) {
		return this.ur.findByLastnameStartingWith(lastname);
	}
	
	public List<User> findByEmail(String email) {
		return this.ur.findByEmail(email);
	}

	public User create(User user) {
		try {
			User u = this.ur.save(user);
			return u;
		} catch (IllegalArgumentException e) {
			return null;
		}
	}

	public User findById(Integer id) {
		return this.ur.findById(id).orElse(null);
	}

	public void delete(User user) {
		this.ur.delete(user);
	}
}
